Bug 9775 - Panic action script called at windows 7 session login
Panic action script called at windows 7 session login
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: VFS Modules
3.5.6
x86 Linux
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-09 16:28 UTC by Sylvain Fargeas
Modified: 2013-04-15 06:58 UTC (History)
1 user (show)

See Also:


Attachments
Patch for master (5.19 KB, patch)
2013-04-09 19:20 UTC, Volker Lendecke
jra: review+
Details
Patch for 3.5 (2.02 KB, patch)
2013-04-09 19:45 UTC, Volker Lendecke
jra: review+
Details
Patch for 3.6 (2.03 KB, patch)
2013-04-09 19:55 UTC, Volker Lendecke
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sylvain Fargeas 2013-04-09 16:28:07 UTC
Hi everyone,

Overview:
-6 panic action mail at windows session login. The login does not fail. And no problems after. Just mail...


Platform:
Linux 3.2.0-0.bpo.3-686-pae #1 SMP Thu Aug 23 08:21:41 UTC 2012 i686 GNU/Linux
Samba 2:3.5.6~dfsg3squeeze9


Log file for the test pc:
[2013/04/09 15:03:15.053274,  1] smbd/service.c:1070(make_connection_snum)
  test101 (::ffff:10.103.0.101) connect to service profiles initially as user sylvain.fargeas (uid=1991, gid=1000) (pid 32283)
[2013/04/09 15:03:23.925777,  1] smbd/service.c:1251(close_cnum)
  test101 (::ffff:10.103.0.101) closed connection to service netlogon
[2013/04/09 15:03:29.932516,  1] smbd/service.c:1251(close_cnum)
  test101 (::ffff:10.103.0.101) closed connection to service asi
[2013/04/09 15:03:29.933642,  1] smbd/service.c:1251(close_cnum)
  test101 (::ffff:10.103.0.101) closed connection to service sylvain.fargeas
[2013/04/09 15:03:32.386315,  1] param/loadparm.c:7605(lp_do_parameter)
  WARNING: The "share modes" option is deprecated
[2013/04/09 15:03:32.583263,  1] smbd/service.c:1070(make_connection_snum)
  test101 (::ffff:10.103.0.101) connect to service profiles initially as user sylvain.fargeas (uid=1991, gid=1000) (pid 32283)
[2013/04/09 15:03:32.601788,  0] lib/fault.c:46(fault_report)
  ===============================================================
[2013/04/09 15:03:32.601850,  0] lib/fault.c:47(fault_report)
  INTERNAL ERROR: Signal 11 in pid 32283 (3.5.6)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2013/04/09 15:03:32.601902,  0] lib/fault.c:49(fault_report)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2013/04/09 15:03:32.601949,  0] lib/fault.c:50(fault_report)
  ===============================================================
[2013/04/09 15:03:32.601988,  0] lib/util.c:1465(smb_panic)
  PANIC (pid 32283): internal error
[2013/04/09 15:03:32.626827,  0] lib/util.c:1569(log_stack_trace)
  BACKTRACE: 29 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x2d) [0xb7263d7d]
   #1 /usr/sbin/smbd(smb_panic+0x2d) [0xb7263e9d]
   #2 /usr/sbin/smbd(+0x375a3e) [0xb7251a3e]
   #3 [0xb6ebe400]
   #4 /usr/sbin/smbd(smb_vfs_call_stat+0x30) [0xb7002650]
   #5 /usr/sbin/smbd(+0x15db8e) [0xb7039b8e]
   #6 /usr/sbin/smbd(smb_vfs_call_fs_capabilities+0x30) [0xb7001f30]
   #7 /usr/sbin/smbd(create_conn_struct+0x198) [0xb7024328]
   #8 /usr/sbin/smbd(get_referred_path+0x374) [0xb7025714]
   #9 /usr/sbin/smbd(_dfs_GetInfo+0xba) [0xb716f7ba]
   #10 /usr/sbin/smbd(+0x291d61) [0xb716dd61]
   #11 /usr/sbin/smbd(+0x305a99) [0xb71e1a99]
   #12 /usr/sbin/smbd(api_pipe_request+0x1a2) [0xb71e2312]
   #13 /usr/sbin/smbd(+0x2ff1e2) [0xb71db1e2]
   #14 /usr/sbin/smbd(np_write_send+0x637) [0xb71db877]
   #15 /usr/sbin/smbd(reply_pipe_write_and_X+0x136) [0xb6fc3486]
   #16 /usr/sbin/smbd(reply_write_and_X+0x348) [0xb6fca538]
   #17 /usr/sbin/smbd(+0x13b3f6) [0xb70173f6]
   #18 /usr/sbin/smbd(+0x13b7d2) [0xb70177d2]
   #19 /usr/sbin/smbd(+0x13bd9c) [0xb7017d9c]
   #20 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #21 /usr/sbin/smbd(smbd_process+0xa67) [0xb7016857]
   #22 /usr/sbin/smbd(+0x6d6fbc) [0xb75b2fbc]
   #23 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #24 /usr/sbin/smbd(+0x3991ef) [0xb72751ef]
   #25 /usr/sbin/smbd(_tevent_loop_once+0x98) [0xb7275838]
   #26 /usr/sbin/smbd(main+0xd8a) [0xb75b3faa]
   #27 /lib/i686/cmov/libc.so.6(__libc_start_main+0xe6) [0xb6b4eca6]
   #28 /usr/sbin/smbd(+0xb0271) [0xb6f8c271]
[2013/04/09 15:03:32.627136,  0] lib/util.c:1470(smb_panic)
  smb_panic(): calling panic action [/bin/sleep 999999]
[2013/04/09 15:05:00.590257,  0] lib/fault.c:46(fault_report)
  ===============================================================
[2013/04/09 15:05:00.590344,  0] lib/fault.c:47(fault_report)
  INTERNAL ERROR: Signal 11 in pid 32087 (3.5.6)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2013/04/09 15:05:00.590397,  0] lib/fault.c:49(fault_report)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2013/04/09 15:05:00.590443,  0] lib/fault.c:50(fault_report)
  ===============================================================
[2013/04/09 15:05:00.590482,  0] lib/util.c:1465(smb_panic)
  PANIC (pid 32087): internal error
[2013/04/09 15:05:00.598242,  0] lib/util.c:1569(log_stack_trace)
  BACKTRACE: 29 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x2d) [0xb7263d7d]
   #1 /usr/sbin/smbd(smb_panic+0x2d) [0xb7263e9d]
   #2 /usr/sbin/smbd(+0x375a3e) [0xb7251a3e]
   #3 [0xb6ebe400]
   #4 /usr/sbin/smbd(smb_vfs_call_stat+0x30) [0xb7002650]
   #5 /usr/sbin/smbd(+0x15db8e) [0xb7039b8e]
   #6 /usr/sbin/smbd(smb_vfs_call_fs_capabilities+0x30) [0xb7001f30]
   #7 /usr/sbin/smbd(create_conn_struct+0x198) [0xb7024328]
   #8 /usr/sbin/smbd(get_referred_path+0x374) [0xb7025714]
   #9 /usr/sbin/smbd(_dfs_GetInfo+0xba) [0xb716f7ba]
   #10 /usr/sbin/smbd(+0x291d61) [0xb716dd61]
   #11 /usr/sbin/smbd(+0x305a99) [0xb71e1a99]
   #12 /usr/sbin/smbd(api_pipe_request+0x1a2) [0xb71e2312]
   #13 /usr/sbin/smbd(+0x2ff1e2) [0xb71db1e2]
   #14 /usr/sbin/smbd(np_write_send+0x637) [0xb71db877]
   #15 /usr/sbin/smbd(reply_pipe_write_and_X+0x136) [0xb6fc3486]
   #16 /usr/sbin/smbd(reply_write_and_X+0x348) [0xb6fca538]
   #17 /usr/sbin/smbd(+0x13b3f6) [0xb70173f6]
   #18 /usr/sbin/smbd(+0x13b7d2) [0xb70177d2]
   #19 /usr/sbin/smbd(+0x13bd9c) [0xb7017d9c]
   #20 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #21 /usr/sbin/smbd(smbd_process+0xa67) [0xb7016857]
   #22 /usr/sbin/smbd(+0x6d6fbc) [0xb75b2fbc]
   #23 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #24 /usr/sbin/smbd(+0x3991ef) [0xb72751ef]
   #25 /usr/sbin/smbd(_tevent_loop_once+0x98) [0xb7275838]
   #26 /usr/sbin/smbd(main+0xd8a) [0xb75b3faa]
   #27 /lib/i686/cmov/libc.so.6(__libc_start_main+0xe6) [0xb6b4eca6]
   #28 /usr/sbin/smbd(+0xb0271) [0xb6f8c271]
[2013/04/09 15:05:00.598541,  0] lib/util.c:1470(smb_panic)
  smb_panic(): calling panic action [/bin/sleep 999999]
[2013/04/09 15:07:24.588040,  0] lib/fault.c:46(fault_report)
  ===============================================================
[2013/04/09 15:07:24.588146,  0] lib/fault.c:47(fault_report)
  INTERNAL ERROR: Signal 11 in pid 32460 (3.5.6)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2013/04/09 15:07:24.588198,  0] lib/fault.c:49(fault_report)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2013/04/09 15:07:24.588243,  0] lib/fault.c:50(fault_report)
  ===============================================================
[2013/04/09 15:07:24.588279,  0] lib/util.c:1465(smb_panic)
  PANIC (pid 32460): internal error
[2013/04/09 15:07:24.596103,  0] lib/util.c:1569(log_stack_trace)
  BACKTRACE: 29 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x2d) [0xb7263d7d]
   #1 /usr/sbin/smbd(smb_panic+0x2d) [0xb7263e9d]
   #2 /usr/sbin/smbd(+0x375a3e) [0xb7251a3e]
   #3 [0xb6ebe400]
   #4 /usr/sbin/smbd(smb_vfs_call_stat+0x30) [0xb7002650]
   #5 /usr/sbin/smbd(+0x15db8e) [0xb7039b8e]
   #6 /usr/sbin/smbd(smb_vfs_call_fs_capabilities+0x30) [0xb7001f30]
   #7 /usr/sbin/smbd(create_conn_struct+0x198) [0xb7024328]
   #8 /usr/sbin/smbd(get_referred_path+0x374) [0xb7025714]
   #9 /usr/sbin/smbd(_dfs_GetInfo+0xba) [0xb716f7ba]
   #10 /usr/sbin/smbd(+0x291d61) [0xb716dd61]
   #11 /usr/sbin/smbd(+0x305a99) [0xb71e1a99]
   #12 /usr/sbin/smbd(api_pipe_request+0x1a2) [0xb71e2312]
   #13 /usr/sbin/smbd(+0x2ff1e2) [0xb71db1e2]
   #14 /usr/sbin/smbd(np_write_send+0x637) [0xb71db877]
   #15 /usr/sbin/smbd(reply_pipe_write_and_X+0x136) [0xb6fc3486]
   #16 /usr/sbin/smbd(reply_write_and_X+0x348) [0xb6fca538]
   #17 /usr/sbin/smbd(+0x13b3f6) [0xb70173f6]
   #18 /usr/sbin/smbd(+0x13b7d2) [0xb70177d2]
   #19 /usr/sbin/smbd(+0x13bd9c) [0xb7017d9c]
   #20 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #21 /usr/sbin/smbd(smbd_process+0xa67) [0xb7016857]
   #22 /usr/sbin/smbd(+0x6d6fbc) [0xb75b2fbc]
   #23 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #24 /usr/sbin/smbd(+0x3991ef) [0xb72751ef]
   #25 /usr/sbin/smbd(_tevent_loop_once+0x98) [0xb7275838]
   #26 /usr/sbin/smbd(main+0xd8a) [0xb75b3faa]
   #27 /lib/i686/cmov/libc.so.6(__libc_start_main+0xe6) [0xb6b4eca6]
   #28 /usr/sbin/smbd(+0xb0271) [0xb6f8c271]
[2013/04/09 15:07:24.596381,  0] lib/util.c:1470(smb_panic)
  smb_panic(): calling panic action [/bin/sleep 999999]
[2013/04/09 15:09:48.569980,  0] lib/fault.c:46(fault_report)
  ===============================================================
[2013/04/09 15:09:48.570092,  0] lib/fault.c:47(fault_report)
  INTERNAL ERROR: Signal 11 in pid 32487 (3.5.6)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2013/04/09 15:09:48.570146,  0] lib/fault.c:49(fault_report)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2013/04/09 15:09:48.570193,  0] lib/fault.c:50(fault_report)
  ===============================================================
[2013/04/09 15:09:48.570231,  0] lib/util.c:1465(smb_panic)
  PANIC (pid 32487): internal error
[2013/04/09 15:09:48.576683,  0] lib/util.c:1569(log_stack_trace)
  BACKTRACE: 29 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x2d) [0xb7263d7d]
   #1 /usr/sbin/smbd(smb_panic+0x2d) [0xb7263e9d]
   #2 /usr/sbin/smbd(+0x375a3e) [0xb7251a3e]
   #3 [0xb6ebe400]
   #4 /usr/sbin/smbd(smb_vfs_call_stat+0x30) [0xb7002650]
   #5 /usr/sbin/smbd(+0x15db8e) [0xb7039b8e]
   #6 /usr/sbin/smbd(smb_vfs_call_fs_capabilities+0x30) [0xb7001f30]
   #7 /usr/sbin/smbd(create_conn_struct+0x198) [0xb7024328]
   #8 /usr/sbin/smbd(get_referred_path+0x374) [0xb7025714]
   #9 /usr/sbin/smbd(_dfs_GetInfo+0xba) [0xb716f7ba]
   #10 /usr/sbin/smbd(+0x291d61) [0xb716dd61]
   #11 /usr/sbin/smbd(+0x305a99) [0xb71e1a99]
   #12 /usr/sbin/smbd(api_pipe_request+0x1a2) [0xb71e2312]
   #13 /usr/sbin/smbd(+0x2ff1e2) [0xb71db1e2]
   #14 /usr/sbin/smbd(np_write_send+0x637) [0xb71db877]
   #15 /usr/sbin/smbd(reply_pipe_write_and_X+0x136) [0xb6fc3486]
   #16 /usr/sbin/smbd(reply_write_and_X+0x348) [0xb6fca538]
   #17 /usr/sbin/smbd(+0x13b3f6) [0xb70173f6]
   #18 /usr/sbin/smbd(+0x13b7d2) [0xb70177d2]
   #19 /usr/sbin/smbd(+0x13bd9c) [0xb7017d9c]
   #20 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #21 /usr/sbin/smbd(smbd_process+0xa67) [0xb7016857]
   #22 /usr/sbin/smbd(+0x6d6fbc) [0xb75b2fbc]
   #23 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #24 /usr/sbin/smbd(+0x3991ef) [0xb72751ef]
   #25 /usr/sbin/smbd(_tevent_loop_once+0x98) [0xb7275838]
   #26 /usr/sbin/smbd(main+0xd8a) [0xb75b3faa]
   #27 /lib/i686/cmov/libc.so.6(__libc_start_main+0xe6) [0xb6b4eca6]
   #28 /usr/sbin/smbd(+0xb0271) [0xb6f8c271]
[2013/04/09 15:09:48.576893,  0] lib/util.c:1470(smb_panic)
  smb_panic(): calling panic action [/bin/sleep 999999]
[2013/04/09 15:12:12.571037,  0] lib/fault.c:46(fault_report)
  ===============================================================
[2013/04/09 15:12:12.571132,  0] lib/fault.c:47(fault_report)
  INTERNAL ERROR: Signal 11 in pid 759 (3.5.6)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2013/04/09 15:12:12.571186,  0] lib/fault.c:49(fault_report)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2013/04/09 15:12:12.571233,  0] lib/fault.c:50(fault_report)
  ===============================================================
[2013/04/09 15:12:12.571272,  0] lib/util.c:1465(smb_panic)
  PANIC (pid 759): internal error
[2013/04/09 15:12:12.579340,  0] lib/util.c:1569(log_stack_trace)
  BACKTRACE: 29 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x2d) [0xb7263d7d]
   #1 /usr/sbin/smbd(smb_panic+0x2d) [0xb7263e9d]
   #2 /usr/sbin/smbd(+0x375a3e) [0xb7251a3e]
   #3 [0xb6ebe400]
   #4 /usr/sbin/smbd(smb_vfs_call_stat+0x30) [0xb7002650]
   #5 /usr/sbin/smbd(+0x15db8e) [0xb7039b8e]
   #6 /usr/sbin/smbd(smb_vfs_call_fs_capabilities+0x30) [0xb7001f30]
   #7 /usr/sbin/smbd(create_conn_struct+0x198) [0xb7024328]
   #8 /usr/sbin/smbd(get_referred_path+0x374) [0xb7025714]
   #9 /usr/sbin/smbd(_dfs_GetInfo+0xba) [0xb716f7ba]
   #10 /usr/sbin/smbd(+0x291d61) [0xb716dd61]
   #11 /usr/sbin/smbd(+0x305a99) [0xb71e1a99]
   #12 /usr/sbin/smbd(api_pipe_request+0x1a2) [0xb71e2312]
   #13 /usr/sbin/smbd(+0x2ff1e2) [0xb71db1e2]
   #14 /usr/sbin/smbd(np_write_send+0x637) [0xb71db877]
   #15 /usr/sbin/smbd(reply_pipe_write_and_X+0x136) [0xb6fc3486]
   #16 /usr/sbin/smbd(reply_write_and_X+0x348) [0xb6fca538]
   #17 /usr/sbin/smbd(+0x13b3f6) [0xb70173f6]
   #18 /usr/sbin/smbd(+0x13b7d2) [0xb70177d2]
   #19 /usr/sbin/smbd(+0x13bd9c) [0xb7017d9c]
   #20 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #21 /usr/sbin/smbd(smbd_process+0xa67) [0xb7016857]
   #22 /usr/sbin/smbd(+0x6d6fbc) [0xb75b2fbc]
   #23 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #24 /usr/sbin/smbd(+0x3991ef) [0xb72751ef]
   #25 /usr/sbin/smbd(_tevent_loop_once+0x98) [0xb7275838]
   #26 /usr/sbin/smbd(main+0xd8a) [0xb75b3faa]
   #27 /lib/i686/cmov/libc.so.6(__libc_start_main+0xe6) [0xb6b4eca6]
   #28 /usr/sbin/smbd(+0xb0271) [0xb6f8c271]
[2013/04/09 15:12:12.579680,  0] lib/util.c:1470(smb_panic)
  smb_panic(): calling panic action [/bin/sleep 999999]
[2013/04/09 15:14:36.567419,  0] lib/fault.c:46(fault_report)
  ===============================================================
[2013/04/09 15:14:36.567521,  0] lib/fault.c:47(fault_report)
  INTERNAL ERROR: Signal 11 in pid 773 (3.5.6)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2013/04/09 15:14:36.567580,  0] lib/fault.c:49(fault_report)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2013/04/09 15:14:36.567628,  0] lib/fault.c:50(fault_report)
  ===============================================================
[2013/04/09 15:14:36.567666,  0] lib/util.c:1465(smb_panic)
  PANIC (pid 773): internal error
[2013/04/09 15:14:36.575090,  0] lib/util.c:1569(log_stack_trace)
  BACKTRACE: 29 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x2d) [0xb7263d7d]
   #1 /usr/sbin/smbd(smb_panic+0x2d) [0xb7263e9d]
   #2 /usr/sbin/smbd(+0x375a3e) [0xb7251a3e]
   #3 [0xb6ebe400]
   #4 /usr/sbin/smbd(smb_vfs_call_stat+0x30) [0xb7002650]
   #5 /usr/sbin/smbd(+0x15db8e) [0xb7039b8e]
   #6 /usr/sbin/smbd(smb_vfs_call_fs_capabilities+0x30) [0xb7001f30]
   #7 /usr/sbin/smbd(create_conn_struct+0x198) [0xb7024328]
   #8 /usr/sbin/smbd(get_referred_path+0x374) [0xb7025714]
   #9 /usr/sbin/smbd(_dfs_GetInfo+0xba) [0xb716f7ba]
   #10 /usr/sbin/smbd(+0x291d61) [0xb716dd61]
   #11 /usr/sbin/smbd(+0x305a99) [0xb71e1a99]
   #12 /usr/sbin/smbd(api_pipe_request+0x1a2) [0xb71e2312]
   #13 /usr/sbin/smbd(+0x2ff1e2) [0xb71db1e2]
   #14 /usr/sbin/smbd(np_write_send+0x637) [0xb71db877]
   #15 /usr/sbin/smbd(reply_pipe_write_and_X+0x136) [0xb6fc3486]
   #16 /usr/sbin/smbd(reply_write_and_X+0x348) [0xb6fca538]
   #17 /usr/sbin/smbd(+0x13b3f6) [0xb70173f6]
   #18 /usr/sbin/smbd(+0x13b7d2) [0xb70177d2]
   #19 /usr/sbin/smbd(+0x13bd9c) [0xb7017d9c]
   #20 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #21 /usr/sbin/smbd(smbd_process+0xa67) [0xb7016857]
   #22 /usr/sbin/smbd(+0x6d6fbc) [0xb75b2fbc]
   #23 /usr/sbin/smbd(run_events+0x1ac) [0xb7274eec]
   #24 /usr/sbin/smbd(+0x3991ef) [0xb72751ef]
   #25 /usr/sbin/smbd(_tevent_loop_once+0x98) [0xb7275838]
   #26 /usr/sbin/smbd(main+0xd8a) [0xb75b3faa]
   #27 /lib/i686/cmov/libc.so.6(__libc_start_main+0xe6) [0xb6b4eca6]
   #28 /usr/sbin/smbd(+0xb0271) [0xb6f8c271]
[2013/04/09 15:14:36.575296,  0] lib/util.c:1470(smb_panic)
  smb_panic(): calling panic action [/bin/sleep 999999]


With gdb attached to parent process:
ruche:/var/log/samba# gdb /usr/sbin/smbd 773
GNU gdb (GDB) 7.3-debian
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/sbin/smbd...Reading symbols from /usr/lib/debug/usr/sbin/smbd...done.
done.
Attaching to program: /usr/sbin/smbd, process 773

0xb6ebe424 in __kernel_vsyscall ()
(gdb) bt
#0  0xb6ebe424 in __kernel_vsyscall ()
#1  0xb6bced93 in __waitpid_nocancel () at ../sysdeps/unix/syscall-template.S:82
#2  0xb6b70e93 in do_system (line=<optimized out>) at ../sysdeps/posix/system.c:149
#3  0xb7263ebd in smb_panic (why=0xb76c2bd2 "internal error") at lib/util.c:1471
#4  0xb7251a3e in fault_report (sig=<optimized out>) at lib/fault.c:52
#5  sig_fault (sig=11) at lib/fault.c:75
#6  <signal handler called>
#7  0xb68b6662 in fake_perms_stat (handle=0xb9892f30, smb_fname=0xb9892f80) at modules/vfs_fake_perms.c:41
#8  0xb7002650 in smb_vfs_call_stat (handle=0x0, smb_fname=0xb9892f80) at smbd/vfs.c:1347
#9  0xb7039b8e in vfswrap_fs_capabilities (handle=0xb9892e00, p_ts_res=0xb9892c10) at modules/vfs_default.c:123
#10 0xb7001f30 in smb_vfs_call_fs_capabilities (handle=0x0, p_ts_res=0xb9892c10) at smbd/vfs.c:1166
#11 0xb7024328 in create_conn_struct (ctx=0xb98921d0, pconn=0xbfc3bfc8, snum=5, path=0xb9892ab0 "/home/profiles", server_info=0x0, poldcwd=0xbfc3bfc0)
    at smbd/msdfs.c:275
#12 0xb7025714 in get_referred_path (ctx=0xb98921d0, dfs_path=0xb98923d0 "\\\\RUCHE\\profiles\\sylvain.fargeas.V2", jucn=0xb9892560, 
    consumedcntp=0xbfc3c028, self_referralp=0xbfc3c02f) at smbd/msdfs.c:918
#13 0xb716f7ba in _dfs_GetInfo (p=0xb989c3c8, r=0xb9892200) at rpc_server/srv_dfs_nt.c:361
#14 0xb716dd61 in api_dfs_GetInfo (p=0xb989c3c8) at ../librpc/gen_ndr/srv_dfs.c:353
#15 0xb71e1a99 in api_rpcTNP (p=<optimized out>, api_rpc_cmds=<optimized out>, n_cmds=23) at rpc_server/srv_pipe.c:2436
#16 0xb71e2312 in api_pipe_request (p=0xb989c3c8) at rpc_server/srv_pipe.c:2375
#17 0xb71db1e2 in process_request_pdu (rpc_in_p=<optimized out>, p=<optimized out>) at rpc_server/srv_pipe_hnd.c:483
#18 process_complete_pdu (p=0xb989c3c8) at rpc_server/srv_pipe_hnd.c:541
#19 0xb71db877 in process_incoming_data (n=<optimized out>, data=<optimized out>, p=<optimized out>) at rpc_server/srv_pipe_hnd.c:751
#20 write_to_internal_pipe (n=<optimized out>, data=0xb9891f54 "`", p=<optimized out>) at rpc_server/srv_pipe_hnd.c:774
#21 np_write_send (mem_ctx=0xb9892070, ev=0xb9781268, handle=0xb9795f48, data=0xb9891f44 "\005", len=120) at rpc_server/srv_pipe_hnd.c:1226
#22 0xb6fc3486 in reply_pipe_write_and_X (req=0xb9891ff0) at smbd/pipes.c:313
#23 0xb6fca538 in reply_write_and_X (req=0xb9891ff0) at smbd/reply.c:4342
#24 0xb70173f6 in switch_message (type=<optimized out>, req=0xb9891ff0, size=188) at smbd/process.c:1400
#25 0xb70177d2 in construct_reply (deferred_pcd=<optimized out>, encrypted=<optimized out>, seqnum=<optimized out>, unread_bytes=<optimized out>, 
    size=<optimized out>, inbuf=0x0) at smbd/process.c:1432
#26 process_smb (conn=<optimized out>, inbuf=<optimized out>, nread=188, unread_bytes=0, seqnum=0, encrypted=<optimized out>, deferred_pcd=0x0)
    at smbd/process.c:1505
#27 0xb7017d9c in smbd_server_connection_read_handler (conn=<optimized out>) at smbd/process.c:2122
#28 smbd_server_connection_handler (ev=0xb9781268, fde=0xb97caf80, flags=<optimized out>, private_data=0xb97812d8) at smbd/process.c:2137
#29 0xb7274eec in run_events (ev=0xb9781268, selrtn=1, read_fds=0xbfc3c788, write_fds=0xbfc3c708) at lib/events.c:156
#30 0xb7016857 in smbd_server_connection_loop_once (conn=<optimized out>) at smbd/process.c:840
---Type <return> to continue, or q <return> to quit---
#31 smbd_process () at smbd/process.c:2451
#32 0xb75b2fbc in smbd_accept_connection (ev=0xb9781268, fde=0xb98ba270, flags=1, private_data=0xb98ba1c8) at smbd/server.c:438
#33 0xb7274eec in run_events (ev=0xb9781268, selrtn=1, read_fds=0xbfc3cb7c, write_fds=0xbfc3cafc) at lib/events.c:156
#34 0xb72751ef in s3_event_loop_once (ev=0xb9781268, location=0xb778d31f "smbd/server.c:726") at lib/events.c:219
#35 0xb7275838 in _tevent_loop_once (ev=0xb9781268, location=0xb778d31f "smbd/server.c:726") at ../lib/tevent/tevent.c:497
#36 0xb75b3faa in smbd_parent_loop (parent=<optimized out>) at smbd/server.c:726
#37 main (argc=2, argv=0xbfc3cfb4) at smbd/server.c:1316
(gdb) 

Sorry for my english,
Thanx in advance !
Comment 1 Volker Lendecke 2013-04-09 19:20:45 UTC
Created attachment 8740 [details]
Patch for master

Bug still exists in master for a 'msdfs root' share with vfs objects = fake_perms. Here's the patch for master, working on the 3.6 and 3.5 patches.
Comment 2 Volker Lendecke 2013-04-09 19:45:28 UTC
Created attachment 8741 [details]
Patch for 3.5

Weird, but I could not reproduce the patch as easily in 3.5 anymore. But I think this should fix it. Sylvain, are you able to test this patch?
Comment 3 Volker Lendecke 2013-04-09 19:55:14 UTC
Created attachment 8742 [details]
Patch for 3.6
Comment 4 Jeremy Allison 2013-04-09 20:14:20 UTC
Comment on attachment 8740 [details]
Patch for master

LGTM FOR 4.0.X. Pushed to autobuild.
Comment 5 Jeremy Allison 2013-04-09 22:01:06 UTC
Comment on attachment 8742 [details]
Patch for 3.6

LGTM for 3.6.next.
Comment 6 Jeremy Allison 2013-04-09 22:30:57 UTC
Comment on attachment 8741 [details]
Patch for 3.5

LGTM for 3.5.x.
Comment 7 Jeremy Allison 2013-04-09 22:31:33 UTC
Already pushed to master. Re-assigning to Karolin for inclusion in 4.0.next, 3.6.next.

Jeremy.
Comment 8 Karolin Seeger 2013-04-11 07:48:19 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 9 Karolin Seeger 2013-04-11 10:17:54 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!
Comment 10 Sylvain Fargeas 2013-04-12 13:59:50 UTC
(In reply to comment #2)
> Created attachment 8741 [details]
> Patch for 3.5
> 
> Weird, but I could not reproduce the patch as easily in 3.5 anymore. But I
> think this should fix it. Sylvain, are you able to test this patch?

Hello,
I have test the patch on samba 3.5 and it work very well.
Thanks to save my mailbox !
Bye